org.jgroups.protocols

## Class RELAY.Receiver

- java.lang.Object
- - org.jgroups.ReceiverAdapter
  - - org.jgroups.protocols.RELAY.Receiver

- All Implemented Interfaces:
    MembershipListener, MessageListener, Receiver
  Enclosing class:
    RELAY

      protected class RELAY.Receiver
      extends ReceiverAdapter

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RELAY.Receiver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `receive(Message msg)` Called when a message is received.
    `void` | `viewAccepted(View view)` Called when a change in membership has occurred.

    - ### Methods inherited from class org.jgroups.ReceiverAdapter

      `block, getState, setState, suspect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RELAY.Receiver

          protected RELAY.Receiver()

  - ### Method Detail

    - #### receive

          public void receive(Message msg)

      Description copied from interface: `MessageListener`
      Called when a message is received.
      Specified by:
        `receive` in interface `MessageListener`
      Overrides:
        `receive` in class `ReceiverAdapter`

    - #### viewAccepted

          public void viewAccepted(View view)

      Description copied from interface: `MembershipListener`
      Called when a change in membership has occurred. No long running actions or sending of messages should be done in this callback. If some long running action needs to be performed, it should be done in a separate thread.

      Note that on reception of the first view (a new member just joined), the channel will not yet be in the connected state. This only happens when `Channel.connect(String)` returns.
      Specified by:
        `viewAccepted` in interface `MembershipListener`
      Overrides:
        `viewAccepted` in class `ReceiverAdapter`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.